MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031435Community[OCCT] OCCT:Data Exchangepublic2020-03-17 17:402020-04-18 15:28
Reporterrobertlipman 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031435: Data Exchange - Problem importing STEP files
DescriptionI submitted this problem via the contact form and Kirill responded. I'm not sure if I filled this form out correctly. We're using 7.4.2 to import STEP files. The problem is also seen in CAD Assistant.

These STEP files https://s3.amazonaws.com/nist-el/mfg_digitalthread/NIST-files-for-OCC.zip [^] do not open in CAD Assistant. The also do not work in our own software that uses the Open Cascade STEP processor.

For "sp7_04-do-242.stp" and "sp7_04-dx-242.stp" the problem seems to be with the LIMITS_AND_FITS entity. There is no problem with the entity. Blank values are valid. Adding values does not fix the problem. The only fix is to removed the entity. Other viewers do not have problems with these files.

For the third file, the problem is unknown. Other viewers do have a problem with this file.
TagsNo tags attached.
Test case numberbugs/step/bug31435_1,bugs/step/bug31435_2,bugs/step/bug31435_3
Attached Fileszip file icon NIST-files-for-OCC.zip (1,579,413 bytes) 2020-03-17 17:40

- Relationships

-  Notes
(0091033)
kgv (developer)
2020-03-18 15:24

> LIMITS_AND_FITS entity. Blank values are valid.
Could you please comment, why blank values should be considered valid?

shape_tolerance_schema.exp (ISO 10303-242:2014) defines this entity like, with no OPTIONAL fields:
ENTITY limits_and_fits;
  form_variance : label;
  zone_variance : label;
  grade : label;
  source : text;
END_ENTITY;

Do I refer to the wrong schema in specs or mistreat its definition?
Or maybe schema has been revised within ISO 10303-242:2014/Cor 1:2016?
(0091035)
robertlipman (reporter)
2020-03-18 15:40

Modifying the limits_and_fits entity to include values for 'grade' and 'source' still results in the same error in CAD Assistant. I tested many ideas to overcome the error. The only thing that worked was to remove the limits_and_fits entity.

In the STEP file, there are probably other required text fields that are blank that do not cause a problem.
(0091039)
robertlipman (reporter)
2020-03-18 20:07

We came up with a workaround. If STEPCAFControl_Reader fails, then use STEPControl_Reader instead.
(0091233)
git (administrator)
2020-03-25 11:13

Branch CR0031435 has been created by dpasukhi.

SHA-1: 1b4063309e05ec8cad0e0821dc5e53ad6b452f3a


Detailed log of new commits:

Author: unloguc
Date: Wed Mar 25 11:12:30 2020 +0300

    Fix overflow & empty grade
(0091238)
git (administrator)
2020-03-25 12:56

Branch CR0031435 has been updated by dpasukhi.

SHA-1: 72313fec4fd4091fe737bb9e1b8ffba84b9fcfc3


Detailed log of new commits:

Author: dpasukhi
Date: Wed Mar 25 12:54:53 2020 +0300

    Changing the programs code in accordance with the rules

(0091248)
git (administrator)
2020-03-25 19:42

Branch CR0031435 has been updated forcibly by dpasukhi.

SHA-1: b20063c522712eb431a2dd5d0ed691940053dc0c
(0091249)
git (administrator)
2020-03-25 20:06

Branch CR0031435 has been updated forcibly by dpasukhi.

SHA-1: 8ed457984fe36b88b77a7b4eb80800bf243e97bb
(0091284)
git (administrator)
2020-03-26 19:18

Branch CR0031435 has been updated forcibly by dpasukhi.

SHA-1: 8bf4df8c0be1145ba6714d98913f0abe984b49c4
(0091464)
git (administrator)
2020-04-08 17:02

Branch CR31435 has been created by dpasukhi.

SHA-1: ef238b6bc0da1ec26a630d9606fb46095c401b41


Detailed log of new commits:

Author: dpasukhi
Date: Tue Apr 7 12:40:32 2020 +0300

    0031435: Data Exchange - Problem importing STEP files
(0091465)
git (administrator)
2020-04-08 17:06

Branch CR0031435 has been deleted by dpasukhi.

SHA-1: 8bf4df8c0be1145ba6714d98913f0abe984b49c4
(0091494)
git (administrator)
2020-04-10 13:04

Branch CR31435 has been updated by dpasukhi.

SHA-1: 7fedc101ecc9db6848f1a45e7fc17c4d14711180


Detailed log of new commits:

Author: dpasukhi
Date: Fri Apr 10 13:04:38 2020 +0300

    Merge branch 'CR31435' of ssh://git.dev.opencascade.org/occt [^] into CR31435

Author: dpasukhi
Date: Thu Apr 9 18:40:32 2020 +0300

    0031435: Data Exchange - Problem importing STEP files
    Fix recursion in the EntityCluster & add test

(0091495)
git (administrator)
2020-04-10 13:06

Branch CR31435 has been deleted by dpasukhi.

SHA-1: 7fedc101ecc9db6848f1a45e7fc17c4d14711180
(0091496)
git (administrator)
2020-04-10 13:11

Branch CR31435 has been created by dpasukhi.

SHA-1: c2485f847725c9838c3256f6c3808081c728ce8c


Detailed log of new commits:

Author: dpasukhi
Date: Thu Apr 9 18:40:32 2020 +0300

    0031435: Data Exchange - Problem importing STEP files
    Fix recursion in the EntityCluster & add test
(0091497)
git (administrator)
2020-04-10 13:33

Branch CR31435 has been updated forcibly by dpasukhi.

SHA-1: 75c27f767ba34282310beb0a17235a3306c45b11
(0091504)
git (administrator)
2020-04-10 19:59

Branch CR31435 has been updated forcibly by dpasukhi.

SHA-1: 97128072c71983af6dd2ff6093b5740a5c8bdaf8
(0091505)
git (administrator)
2020-04-10 20:38

Branch CR31435 has been updated forcibly by dpasukhi.

SHA-1: f1554093a05a326fa984087e61d194383e292caf
(0091506)
git (administrator)
2020-04-10 21:01

Branch CR31435 has been updated forcibly by dpasukhi.

SHA-1: 1189cb59f1f2a6e19348e27816689f4c447c2309
(0091540)
git (administrator)
2020-04-13 19:28

Branch CR31435_1 has been created by gka.

SHA-1: b14c5a359a76607d1f608c89d7db9344bf950a43


Detailed log of new commits:

Author: dpasukhi
Date: Thu Apr 9 18:40:32 2020 +0300

    0031435: Data Exchange - Problem importing STEP files
    
    - Fix recursion in EntityCluster's methods :
      - Value
      - SetValue
      - Append
    - Add destructor in the EntityCluster
    - Add check null grade in the STEPCAFControl_GDTProperty::GetDimClassOfTolerance
(0091583)
gka (developer)
2020-04-16 11:27
edited on: 2020-04-16 17:08

Results of tests:
http://jenkins-test-12.nnov.opencascade.com/view/CR31435_1-master-gka/view/COMPARE/ [^]

For Linux :
http://occt-tests/CR31435_1-master-gka-OCCT/Debian80-64/summary.html [^]

(0091602)
gka (developer)
2020-04-16 19:09

Branch CR31435_1 was reviewed
(0091611)
bugmaster (administrator)
2020-04-17 10:11

Combination -
OCCT branch : WEEK-16
master SHA - e00b8ed9487b43e3ff3a356c14cf34de6c5640bc
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-16 SHA - 8eb244753336daf5f887198e20b30ea5da22fe6b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16901.8100000002 / 16878.07000000016 [+0.14%]
Products
Total CPU difference: 11268.000000000085 / 11285.430000000086 [-0.15%]
Windows-64-VC14:
OCCT
Total CPU difference: 18333.875 / 18349.875 [-0.09%]
Products
Total CPU difference: 13168.546875 / 13175.921875 [-0.06%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091651)
git (administrator)
2020-04-18 15:28

Branch CR31435_1 has been deleted by inv.

SHA-1: b14c5a359a76607d1f608c89d7db9344bf950a43
(0091654)
git (administrator)
2020-04-18 15:28

Branch CR31435 has been deleted by inv.

SHA-1: 1189cb59f1f2a6e19348e27816689f4c447c2309

- Related Changesets
occt: master e00b8ed9
Timestamp: 2020-04-09 15:40:32
Author: dpasukhi
Committer: bugmaster
Details ] Diff ]
0031435: Data Exchange - Problem importing STEP files

- Fix recursion in EntityCluster's methods :
  - Value
  - SetValue
  - Append
- Add destructor in the EntityCluster
- Add check null grade in the STEPCAFControl_GDTProperty::GetDimClassOfTolerance
mod - src/Interface/Interface_EntityCluster.cxx Diff ] File ]
mod - src/Interface/Interface_EntityCluster.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_GDTProperty.cxx Diff ] File ]
add - tests/bugs/step/bug31435_1 Diff ] File ]
add - tests/bugs/step/bug31435_2 Diff ] File ]
add - tests/bugs/step/bug31435_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-03-17 17:40 robertlipman New Issue
2020-03-17 17:40 robertlipman Assigned To => gka
2020-03-17 17:40 robertlipman File Added: NIST-files-for-OCC.zip
2020-03-18 11:16 kgv Summary Problem importing STEP files => Data Exchange - Problem importing STEP files
2020-03-18 11:16 kgv Target Version => 7.5.0
2020-03-18 15:24 kgv Note Added: 0091033
2020-03-18 15:40 robertlipman Note Added: 0091035
2020-03-18 20:07 robertlipman Note Added: 0091039
2020-03-19 15:59 gka Assigned To gka => dpasukhi
2020-03-19 15:59 gka Status new => assigned
2020-03-25 11:13 git Note Added: 0091233
2020-03-25 12:56 git Note Added: 0091238
2020-03-25 19:42 git Note Added: 0091248
2020-03-25 20:06 git Note Added: 0091249
2020-03-26 19:18 git Note Added: 0091284
2020-04-08 17:02 git Note Added: 0091464
2020-04-08 17:06 git Note Added: 0091465
2020-04-10 13:04 git Note Added: 0091494
2020-04-10 13:06 git Note Added: 0091495
2020-04-10 13:11 git Note Added: 0091496
2020-04-10 13:33 git Note Added: 0091497
2020-04-10 19:59 git Note Added: 0091504
2020-04-10 20:38 git Note Added: 0091505
2020-04-10 21:01 git Note Added: 0091506
2020-04-13 19:28 git Note Added: 0091540
2020-04-14 12:06 dpasukhi Status assigned => resolved
2020-04-16 11:27 gka Note Added: 0091583
2020-04-16 17:08 gka Note Edited: 0091583 View Revisions
2020-04-16 19:09 gka Note Added: 0091602
2020-04-16 19:09 gka Assigned To dpasukhi => bugmaster
2020-04-16 19:09 gka Status resolved => reviewed
2020-04-17 10:11 bugmaster Note Added: 0091611
2020-04-17 10:11 bugmaster Status reviewed => tested
2020-04-17 10:12 bugmaster Test case number => bugs/step/bug31435_1,bugs/step/bug31435_2,bugs/step/bug31435_3
2020-04-18 15:13 bugmaster Changeset attached => occt master e00b8ed9
2020-04-18 15:13 bugmaster Status tested => verified
2020-04-18 15:13 bugmaster Resolution open => fixed
2020-04-18 15:28 git Note Added: 0091651
2020-04-18 15:28 git Note Added: 0091654


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker